com.brightcove.ssai.ui

## Class AdOverlayConfig.Builder

- java.lang.Object
- - com.brightcove.ssai.ui.AdOverlayConfig.Builder

- Enclosing class:
    AdOverlayConfig

      public static class AdOverlayConfig.Builder
      extends java.lang.Object

  The AdOverlayConfig.Builder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdOverlayConfig` | `build()` Builds the `AdOverlayConfig` object.
    `AdOverlayConfig.Builder` | `setNumberOfRemainingAdsEnabled(boolean numberOfRemainingAdsEnabled)` Enables or disables the Ad Overlay component showing the number of remaining Ads
    `AdOverlayConfig.Builder` | `setRemainingAdBreakDurationEnabled(boolean remainingAdBreakDurationEnabled)` Enables or disables the Ad Overlay component showing the remaining ad break duration.
    `AdOverlayConfig.Builder` | `setRemainingAdDurationEnabled(boolean remainingAdDurationEnabled)` Enables or disables the Ad Overlay component showing the remaining ad duration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setRemainingAdBreakDurationEnabled

          public AdOverlayConfig.Builder setRemainingAdBreakDurationEnabled(boolean remainingAdBreakDurationEnabled)

      Enables or disables the Ad Overlay component showing the remaining ad break duration.
      Parameters:
        `remainingAdBreakDurationEnabled` - true to enable UI component
      Returns:
        this Builder

    - #### setRemainingAdDurationEnabled

          public AdOverlayConfig.Builder setRemainingAdDurationEnabled(boolean remainingAdDurationEnabled)

      Enables or disables the Ad Overlay component showing the remaining ad duration.
      Parameters:
        `remainingAdDurationEnabled` - true to enable UI component
      Returns:
        this Builder

    - #### setNumberOfRemainingAdsEnabled

          public AdOverlayConfig.Builder setNumberOfRemainingAdsEnabled(boolean numberOfRemainingAdsEnabled)

      Enables or disables the Ad Overlay component showing the number of remaining Ads
      Parameters:
        `numberOfRemainingAdsEnabled` - true to enable UI component
      Returns:
        this Builder

    - #### build

          public AdOverlayConfig build()

      Builds the `AdOverlayConfig` object.
      Returns:
        the AdOverlayConfig